## EmpathyContactFactory EmpathyContactFactory |

## Synopsis

                        EmpathyContactFactoryPriv;
                        EmpathyContactFactory;
    EmpathyContactFactory* empathy_contact_factory_new      (void);
    EmpathyContact*     empathy_contact_factory_get_user    (EmpathyContactFactory *factory,
                                                             McAccount *account);
    EmpathyContact*     empathy_contact_factory_get_from_id (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *id);
    EmpathyContact*     empathy_contact_factory_get_from_handle
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             guint handle);
    GList*              empathy_contact_factory_get_from_handles
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             GArray *handles);
    void                empathy_contact_factory_set_alias   (EmpathyContactFactory *factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);
    void                empathy_contact_factory_set_avatar  (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);

## Description

## Details

### EmpathyContactFactoryPriv

    typedef struct _EmpathyContactFactoryPriv EmpathyContactFactoryPriv;

### EmpathyContactFactory

    typedef struct {
    	GObject parent;
    } EmpathyContactFactory;

### empathy_contact_factory_new ()

    EmpathyContactFactory* empathy_contact_factory_new      (void);

Returns : |

### empathy_contact_factory_get_user ()

    EmpathyContact*     empathy_contact_factory_get_user    (EmpathyContactFactory *factory,
                                                             McAccount *account);

`factory` : |
`account` : |
Returns : |

### empathy_contact_factory_get_from_id ()

    EmpathyContact*     empathy_contact_factory_get_from_id (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *id);

`factory` : |
`account` : |
`id` : |
Returns : |

### empathy_contact_factory_get_from_handle ()

    EmpathyContact*     empathy_contact_factory_get_from_handle
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             guint handle);

`factory` : |
`account` : |
`handle` : |
Returns : |

### empathy_contact_factory_get_from_handles ()

    GList*              empathy_contact_factory_get_from_handles
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             GArray *handles);

`factory` : |
`account` : |
`handles` : |
Returns : |

### empathy_contact_factory_set_alias ()

    void                empathy_contact_factory_set_alias   (EmpathyContactFactory *factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);

`factory` : |
`contact` : |
`alias` : |

### empathy_contact_factory_set_avatar ()

    void                empathy_contact_factory_set_avatar  (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);

`factory` : |
`account` : |
`data` : |
`size` : |
`mime_type` : |